This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 144013 - Applet goes red when only ignored packages are available
Applet goes red when only ignored packages are available
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-03 14:29 EST by TJ Giese
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-03 17:04:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description TJ Giese 2005-01-03 14:29:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Up2date applet goes red with a large exclamation point when the only
available updates are from ignored packages, such as kernel*.

The applet should only go red with an exclamation point when a package
which is not ignored is available.

Perhaps the applet should turn yellow, meaning "be aware that you
might consider stopping" as opposed to the red-"Oh my God, stop what
you are doing now".  This would make more sense and is intuitive from
the perspective of traffic lights.

$ rpm -qa | grep up2date
up2date-4.3.47-5
up2date-gnome-4.3.47-5


Version-Release number of selected component (if applicable):
4.3.47-5

How reproducible:
Always

Steps to Reproduce:
1. don't update your system
2. select packages to be ignored
3. update your system
4. right-click the applet and select check for updates
5. observe the redness of the applet.
    

Actual Results:  The applet remained red after update

Expected Results:  The applet should have turned to some color - other
than red.  I think blue or yellow would suffice, depending on the
situation.

Additional info:

I think this is a bug as opposed to an enhancement.  The current
functionality of the applet is totally ruined by the current behavior.
Especially considering that kernel packages are ignored by default.
The idea of the applet is to be a quick reference.  If you have to
start up2date to see if there is a package available that is NOT being
ignored, then it is no longer quick!  Another way of thinking of this
is: the applet let's you know when updates are available FOR YOU. 
Therefore, if a package is uninstalled or ignored, then that package
is not available FOR YOU, it is merely available.
Comment 1 TJ Giese 2005-01-03 17:04:39 EST
OK. I see.  One has to double click the applet and mark the ignored
packages separately... the applet is not aware that they have been
ignored in up2date.

Once the applet is made aware that the packages are ignored, then the
expected behavior is returned.

Note You need to log in before you can comment on or make changes to this bug.